## apt 0.8.16~exp12ubuntu10.27

=== debian/changelog ===
apt (0.8.16~exp12ubuntu10.27) precise; urgency=low

  * When using the https transport mechanism, $no_proxy is ignored if apt is
    getting it's proxy information from $https_proxy (as opposed to
    Acquire::https::Proxy somewhere in apt config). If the source of proxy
    information is Acquire::https::Proxy set in apt.conf (or apt.conf.d),
    then $no_proxy is honored. This patch makes the behavior similar for
    both methods of setting the proxy. (LP: #1575877)

 -- Patrick Cable <pc@pcable.net>  Tue, 17 May 2016 13:49:45 -0700

apt (0.8.16~exp12ubuntu10.26) precise; urgency=medium

  * Fix regression in the Never-MarkAuto-Sections feature caused by the
    previous auto-removal fix, with inspiration drawn from the patches
    and conversation from http://bugs.debian.org/793360 (LP: #1479207)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 01 Aug 2015 16:18:59 -0600

apt (0.8.16~exp12ubuntu10.25) precise; urgency=medium

  * Backport patches from David Kalnischkies to fix crashes with dynamic
    cache remapping (LP: #957231):
    - Do not dereference the storage for the unique strings as the pointer
      can change at the time of writing the strings, so first store it
      temporary and then save the index in the (possibly new) pointer
      location
    - Handle moved mmap after UniqFindTagWrite call (Closes: #753941)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Jul 2015 13:16:37 +0100

apt (0.8.16~exp12ubuntu10.24) precise-proposed; urgency=low

  * fix crash for packages that have no section in their instVersion
    (LP: #1449394)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 May 2015 16:30:36 +0200

apt (0.8.16~exp12ubuntu10.23) precise-proposed; urgency=low

  * fix auto-removal behavior (thanks to Adam Conrad)
    LP: #1429041

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 06 Mar 2015 10:47:36 +0100

apt (0.8.16~exp12ubuntu10.22) precise-proposed; urgency=low

  [ David Kalnischkies ]
  * methods/http.cc:
    - retry without partial data after a 416 response (closes: 710924)
      LP: #1382401

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Oct 2014 09:57:34 +0200
