## apt 0.8.16~exp12ubuntu10.29

=== debian/changelog ===
apt (0.8.16~exp12ubuntu10.29) precise-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read in ar, tar implementations (LP: #1878177)
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read in member name
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - apt-pkg/contrib/extracttar.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - CVE-2020-3810

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 28 May 2020 11:43:20 -0300

apt (0.8.16~exp12ubuntu10.28) precise-security; urgency=medium

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 18 Jan 2019 16:35:08 +0100
