## apt 0.9.7.5ubuntu5

=== debian/changelog ===
apt (0.9.7.5ubuntu5) quantal; urgency=low

  * Revert "missing remap registration" change from 0.9.7.5ubuntu4; this
    iterator was already registered, and double registration causes a crash
    (LP: #1067056).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Oct 2012 11:35:59 +0100

apt (0.9.7.5ubuntu4) quantal-proposed; urgency=low

  [ Colin Watson ]
  * apt-pkg/pkgcachegen.cc:
    - Fix crash if the cache is remapped while writing a Provides version
      (LP: #1066445).

  Cherry-pick from http://bzr.debian.org/bzr/apt/apt/debian-sid:

  [ David Kalnischkies ]
  * apt-pkg/pkgcachegen.cc:
    - add a missing remap registration causing a segfault in case
      we use the not remapped iterators after a move of the mmap again

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Oct 2012 23:54:27 +0100

apt (0.9.7.5ubuntu3) quantal-proposed; urgency=low

  * Refresh translations from Launchpad. Amongst other fixes, this drops the
    erroneous "个" from "Retrieving file ..." translation in zn_CN. 
    (LP: #985634)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 12 Oct 2012 13:01:30 +0200

apt (0.9.7.5ubuntu2) quantal; urgency=low

  Merged from lp:~donkult/apt/experimental:
  
  [ David Kalnischkies ]
  * apt-pkg/contrib/strutl.cc:
    - support \n and \r\n line endings in ReadMessages
  
  [ Michael Vogt ]
  * lp:~mvo/apt/webserver-simulate-broken-with-fix346386:
    - merge fix for LP: #346386 


  Merged from http://bzr.debian.org/bzr/apt/apt/debian-sid:

  [ David Kalnischkies ]
  * apt-pkg/cdrom.cc:
    - copy only configured translation files from a CD-ROM and not all
      available translation files preventing new installs with d-i from
      being initialized with all translations (Closes: #678227)
    - handle Components in the reduction for the source.list as multi-arch CDs
      otherwise create duplicated source entries (e.g. "wheezy main main")
  * apt-pkg/packagemanager.cc:
    - unpack versions only in case a different version from the package
      is currently in unpack state to recover from broken system states
      (like different file in M-A:same package and other dpkg errors)
      and avoid re-unpack otherwise (Closes: #670900)
  * debian/control:
    - let libapt-pkg break apt < 0.9.4 to ensure that the installed http-
      method supports the new redirection-style, thanks to Raphael Geissert
      for reporting & testing (Closes: #685192)
  * doc/apt_preferences.5.xml:
    - use the correct interval (x <= P < y) for pin value documentation as
      these are the intervals used by the code (Closes: #685989)
  * apt-pkg/indexcopy.cc:
    - do not create duplicated flat-archive CD-ROM sources for foreign
      architectures on multi-arch CD-ROMs
    - do not warn about files which have a record in the Release file, but
      are not present on the CD to mirror the behavior of the other methods
      and to allow uncompressed indexes to be dropped without scaring users

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Sep 2012 15:42:09 +0200

apt (0.9.7.5ubuntu1) quantal; urgency=low

  [ Michael Vogt ]
  * merged latest fixes from the debian-sid branch
  
  [ TJ ]
  * apt-pkg/contrib/netrc.cc:
    - increase LOGINSIZE/PASSWORDSIZE limits and add proper error
      if the limits are reached (LP: #1008289)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Aug 2012 12:06:48 +0200

apt (0.9.7.5) UNRELEASED; urgency=low

  [ Manpages translation updates ]
  * Japanese (KURASAWA Nozomu) (Closes: #684435)

  [ David Kalnischkies ]
  * apt-pkg/cdrom.cc:
    - copy only configured translation files from a CD-ROM and not all
      available translation files preventing new installs with d-i from
      being initialized with all translations (Closes: #678227)
    - handle Components in the reduction for the source.list as multi-arch CDs
      otherwise create duplicated source entries (e.g. "wheezy main main")
  * apt-pkg/packagemanager.cc:
    - unpack versions only in case a different version from the package
      is currently in unpack state to recover from broken system states
      (like different file in M-A:same package and other dpkg errors)
      and avoid re-unpack otherwise (Closes: #670900)
  * debian/control:
    - let libapt-pkg break apt < 0.9.4 to ensure that the installed http-
      method supports the new redirection-style, thanks to Raphael Geissert
      for reporting & testing (Closes: #685192)
  * doc/apt_preferences.5.xml:
    - use the correct interval (x <= P < y) for pin value documentation as
      these are the intervals used by the code (Closes: #685989)
  * apt-pkg/indexcopy.cc:
    - do not create duplicated flat-archive CD-ROM sources for foreign
      architectures on multi-arch CD-ROMs
    - do not warn about files which have a record in the Release file, but
      are not present on the CD to mirror the behavior of the other methods
      and to allow uncompressed indexes to be dropped without scaring users

 -- David Kalnischkies <kalnischkies@gmail.com>  Sun, 26 Aug 2012 10:49:17 +0200

apt (0.9.7.4) unstable; urgency=low

  [ Manpages translation updates ]
  * Polish (Robert Luberda) (Closes: #683109)

  [ Program translation updates ]
  * Polish (Michał Kułach)

  [ Pino Toscano ]
  * apt-pkg/contrib/mmap.cc:
    - guard only the msync call with _POSIX_SYNCHRONIZED_IO rather
      than also the fallback code as it breaks APT on hurd since 0.9.7.3
      as the fallback is now always used on non-linux (Closes: #683354)

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - remove _POSIX_SYNCHRONIZED_IO guard in FileFd::Sync() around fsync
      as this guard is only needed for fdatasync and not defined on hurd
  * cmdline/apt-get.cc:
    - error out on (unsatisfiable) build-deps on purly virtual packages
      instead of ignoring these dependencies; thanks to Johannes Schauer
      for the detailed report! (Closes: #683786)
    - ensure that the right architecture is used for cross-dependencies in

