## apt 0.9.7.5ubuntu5.2

=== debian/changelog ===
apt (0.9.7.5ubuntu5.2) quantal-security; urgency=low

  * SECURITY UPDATE: change permissions of 
    /var/log/apt/term.log to 0640 (LP: #975199)
    - CVE-2012-0961

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Dec 2012 15:46:44 +0100

apt (0.9.7.5ubuntu5.1) quantal-proposed; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not do lock-step configuration for a M-A:same package if it isn't
      unpacked yet in SmartConfigure and do not unpack a M-A:same package
      again in SmartUnPack if we have already configured it (LP: #1062503)
  
  [ Michael Vogt ]
  * update Vcs to link to the quantal branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Nov 2012 09:41:23 +0100
