=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  po4a (>= 0.34-2), autotools-dev, autoconf, automake
 Build-Depends-Indep: doxygen, debiandoc-sgml
 Build-Conflicts: autoconf2.13, automake1.4
-Vcs-Bzr: lp:~ubuntu-core-dev/apt/ubuntu
-Vcs-Browser: http://code.launchpad.net/apt/ubuntu
+Vcs-Bzr: lp:~ubuntu-core-dev/apt/quantal
+Vcs-Browser: http://code.launchpad.net/apt/quantal
 
 Package: apt
 Architecture: any
