## apt 0.9.7.5ubuntu5.4

=== debian/changelog ===
apt (0.9.7.5ubuntu5.4) quantal-security; urgency=low

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051
  * This package does _not_ contain the changes from 0.9.7.5ubuntu5.3 in
    quantal-proposed.

  [ David Kalnischk ]
  [ Michael Vogt ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Mar 2013 11:26:48 -0400
