## apt 0.9.7.5ubuntu5.6

=== debian/changelog ===
apt (0.9.7.5ubuntu5.6) quantal; urgency=low

  * Fix apt-ftparchive's generation of SHA512 checksums for Sources,
    previously incorrectly generated as SHA256 (LP: #1234705).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Oct 2013 14:51:28 +0100

apt (0.9.7.5ubuntu5.5) quantal; urgency=low

  * Backport kernel auto-removal/retention policy from raring (LP: #923876)
    - debian/apt.auto-removal.sh, debian/rules, debian/apt.dirs: Add new
      script to /etc/kernel/postinst.d/ that ensures we always retain the
      currently-running, being-installed, and newest-installed kernels.
    - debian/apt.conf.autoremove: don't include linux-restricted-modules*,
      linux-image*, and linux-ubuntu-modules* in the never-removed list.
  * Fix unhandled If-Modified-Since case that causes apt lists corruption.
    LP: #1179781

 -- Dave Chiluk <chiluk@canonical.com>  Wed, 21 Aug 2013 13:14:06 -0500
