## apt 0.9.7.7ubuntu1

=== debian/changelog ===
apt (0.9.7.7ubuntu1) raring; urgency=low

  * Merge from Debian unstable, pulling in new translations and fixes.
  * Add linux-headers to /etc/kernel/postinst.d/apt-auto-removal guard.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 18 Jan 2013 00:32:14 -0700

apt (0.9.7.7) unstable; urgency=low

  [ Program translation updates ]
  * Catalan (Jordi Mallach)
  * Drop a confusing non-breaking space. Closes: #691024
  * Thai (Theppitak Karoonboonyanan). Closes: #691613
  * Vietnamese (Trần Ngọc Quân). Closes: #693773
  * Fix Plural forms in German, French, Japanese and Portuguese
    translations. Thanks to Jakub Wilk for reporting these errors.

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not do lock-step configuration for a M-A:same package if it isn't
      unpacked yet in SmartConfigure and do not unpack a M-A:same package
      again in SmartUnPack if we have already configured it (LP: #1062503)
  * apt-pkg/depcache.cc:
    - don't call MarkInstall with the FromUser flag set for packages
      which are dependencies of APT::Never-MarkAuto-Sections matchers
    - no mode changes should obviously be ok for pkgDepCache::IsModeChangeOk
  * cmdline/apt-get.cc:
    - do not call Mark{Install,Delete} from the autoremove code with
      the FromUser bit set to avoid modifying the auto-installed bit
  * apt-pkg/algorithms.cc:
    - ensure pkgProblemResolver calls MarkDelete without FromUser set
      so that it can't overrule holds and the protection flag
  
  [ Michael Vogt ]
  * change permissions of /var/log/apt/term.log to 0640 (LP: #975199)

  [ Jonathan Thomas ]
  * apt-pkg/algorithms.cc:
    - fix package-pointer array memory leak in ResolveByKeepInternal()

 -- Michael Vogt <mvo@debian.org>  Thu, 13 Dec 2012 09:52:19 +0100

apt (0.9.7.6ubuntu6) raring; urgency=low

  * merged from the debian-sid branch

  [ Program translation updates ]
  * Catalan (Jordi Mallach)
  * Drop a confusing non-breaking space. Closes: #691024
  * Thai (Theppitak Karoonboonyanan). Closes: #691613
  * Vietnamese (Trần Ngọc Quân). Closes: #693773
  * Fix Plural forms in German, French, Japanese and Portuguese
    translations. Thanks to Jakub Wilk for reporting these errors.

  [ Michael Vogt ]
  * change permissions of /var/log/apt/term.log to 0640 (LP: #975199)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Dec 2012 09:14:54 +0100

apt (0.9.7.6ubuntu5) raring; urgency=low

  * Revert build-dependency from gettext:any to gettext, now that gettext is
    Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2012 15:43:21 +0000

apt (0.9.7.6ubuntu4) raring; urgency=low

  * Fix mismerge of cross-build-dependency handling patch from
    0.8.16~exp12ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Nov 2012 18:16:36 +0000

apt (0.9.7.6ubuntu3) raring; urgency=low

  * Fix comment char in /etc/apt/apt.conf.d/01autoremove-kernels to
    use C++ style comments instead of POSIX shell style (LP: #1076237)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 07 Nov 2012 23:10:35 -0700

apt (0.9.7.6ubuntu2) raring; urgency=low

  * Fix up two things in debian/apt.auto-removal.sh:
    - Use exact matches with $-terminated regexes, so we don't get
      confusion between similarly-named kernel flavours.
    - Keep linux-backports-modules in sync with installed kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 06 Nov 2012 15:54:31 -0700

apt (0.9.7.6ubuntu1) raring; urgency=low

  [ Michael Vogt ]
  * merged from debian-sid
  
  [ Program translation updates ]
  * Catalan (Jordi Mallach)
  * Drop a confusing non-breaking space. Closes: #691024
  * Thai (Theppitak Karoonboonyanan). Closes: #691613

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not do lock-step configuration for a M-A:same package if it isn't
      unpacked yet in SmartConfigure and do not unpack a M-A:same package
      again in SmartUnPack if we have already configured it (LP: #1062503)

  [ Steve Langasek ]
  * debian/apt.conf.autoremove: don't include linux-image*,
    linux-restricted-modules*, and linux-ubuntu-modules* packages in the
    list to never be autoremoved.
  * debian/apt.auto-removal.sh, debian/rules, debian/apt.dirs: install new
    script to /etc/kernel/postinst.d/ which ensures we only automatically
    keep the currently-running kernel, the being-installed kernel, and the
    newest kernel, so we don't fill /boot up with an unlimited number of
    kernels.  LP: #923876.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 Nov 2012 15:12:36 +0100

apt (0.9.7.6) unstable; urgency=low

  [ Program translation updates ]
  * Ukrainian (A. Bondarenko)

  [ David Kalnischkies ]
  * apt-pkg/pkgcachegen.cc:
    - ensure that dependencies for packages:none are always generated
    - add 2 missing remap registrations causing a segfault in case
      we use the not remapped iterators after a move of the mmap again
    - write the native architecture as unique string into the cache header
      as it is used for arch:all packages as a map to arch:native.
      Otherwise arch comparisons later will see differences (Closes: #689323)
  * apt-pkg/pkgcache.cc:
    - ignore negative dependencies applying in the same group for M-A:same
      packages on the real package name as self-conflicts (Closes: #688863)
  * cmdline/apt-cache.cc:
    - print versioned dependency relations in (r)depends if the option
      APT::Cache::ShowVersion is true (default: false) as discussed in
      #218995 to help debian-cd fixing #687949. Thanks to Sam Lidder
      for initial patch and Steve McIntyre for nagging and testing!
  * apt-pkg/edsp.cc:
    - include reinstall requests and already installed (= protected) packages
      in the install-request for external resolvers (Closes: #689331)
  * apt-pkg/policy.cc:
    - match pins with(out) an architecture as we do on the commandline
      (partly fixing #687255, b= support has to wait for jessie)
  * apt-pkg/contrib/netrc.cc:
